# Ogre::Any::holder< ValueType > Class Template Reference

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any::holder< ValueType >:
[legend]

List of all members.

## Public Member Functions

| holder (const ValueType &value)
virtual const std::type_info & | getType () const
virtual placeholder * | clone () const
virtual void | writeToStream (std::ostream &o)

## Public Attributes

ValueType | held

## Detailed Description

### template<typename ValueType>
class Ogre::Any::holder< ValueType >

Definition at line 149 of file OgreAny.h.

## Constructor & Destructor Documentation

template<typename ValueType >

Ogre::Any::holder< ValueType >::holder | ( | const ValueType & | value | ) |

Definition at line 153 of file OgreAny.h.

## Member Function Documentation

template<typename ValueType >

virtual placeholder* Ogre::Any::holder< ValueType >::clone | ( |  | ) | const`[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 165 of file OgreAny.h.

References Ogre::Any::holder< ValueType >::held, Ogre::MEMCATEGORY_GENERAL, and OGRE_NEW_T.

template<typename ValueType >

virtual const std::type_info& Ogre::Any::holder< ValueType >::getType | ( | void |  | ) | const`[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 160 of file OgreAny.h.

template<typename ValueType >

virtual void Ogre::Any::holder< ValueType >::writeToStream | ( | std::ostream & | o | ) | `[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 170 of file OgreAny.h.

References Ogre::Any::holder< ValueType >::held.

## Member Data Documentation

template<typename ValueType >

ValueType Ogre::Any::holder< ValueType >::held

Definition at line 178 of file OgreAny.h.

Referenced by Ogre::Any::holder< ValueType >::clone(), and Ogre::Any::holder< ValueType >::writeToStream().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53